#version 330

uniform mat4 uModel;
uniform mat4 uView;
uniform mat4 uProjection;

in vec3 vPos;
in vec2 aUV;

out vec2 vUV;

void main()
{
    vUV = aUV;
    gl_Position = uProjection * uView * uModel * vec4(vPos, 1.0);
}
